Impossible to delete a Unijob autopatch package via the Univiewer Console.

Document ID : KB000085973
Last Modified Date : 30/04/2018
Show Technical Document Details
Issue:
Affects Release version(s): 5

Error Message :
 In the univiewer.log:

#############################
2012-10-26 12:12:16,710|ERROR||BackgroundWorker-26|com.orsyp.kmeleon.environment.ExceptionManager|An error occured on ENVIRONMENT: (node = vmstlsup20_MgtServer environment = [UJCENT/vmstlsup20_MgtServer/X]) 
com.orsyp.UniverseException: Problem occurred during package delete: org.hibernate.exception.ConstraintViolationException: could not execute update query 

On the uvserver.log from UVMS 3.x:
2012-10-26 12:12:20 |ERROR| uvms-pool-1-tid-10 | com.orsyp.request.AbstractRequestHandler | Failed processing request 
javax.persistence.PersistenceException: org.hibernate.exception.ConstraintViolationException: could not execute update query
#############################  

Patch level detected:Univiewer Management Server 3.0.00
Product Version: Dollar.Universe 5.6.0 FX25010

Description :Impossible to delete a Unijob autopatch package via the Univiewer Console.
Environment:
OS: Linux
OS Version: All Supported
Cause:
Cause type:
Defect
Root Cause: N/A
Resolution:
This is fixed since the V4.0.14 of the Univiewer Management Server.

Fix Status: Released

Fix Version(s):
Component: Univiewer.Management.Server
Version: Dollar.Universe 6.0.0
Additional Information:
Workaround :
N/A